{% extends 'admin/base_admin.html.twig' %}

{% block title %}Users{% endblock %}

{% block breadcrumbs %}
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="{{ path('admin.users') }}">Home</a></li>
        <li class="breadcrumb-item"><a href="{{ path('admin.brands') }}">Brands</a></li>
        <li class="breadcrumb-item active">{{ brand.name }}</li>
    </ol>
{% endblock %}

{% block body %}
    <div class="row">
        <div class="col-sm-12 col-xl-3">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-align-justify"></i> Controls
                </div>
                <div class="card-body">
                    <div class="controls">
                        <a href="{{ path('admin.brands.edit', {'id': brand.id}) }}"
                           class="btn btn-primary">Edit</a>
                        <a href="{{ path('admin.brands.image.attach', {'id': brand.id}) }}"
                           class="btn btn-primary">Attach Image</a>
                        <form action="{{ path('admin.brands.delete', {'id': brand.id}) }}" method="post"
                              onsubmit="return confirm('Are you sure?')">
                            <input type="hidden" name="token" value="{{ csrf_token('delete') }}"/>
                            <button type="submit" class="btn btn-sm btn-danger">Delete</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="card">
        <div class="card-header">
            <i class="fa fa-align-justify"></i> Category
        </div>
        <div class="card-body">
            <div class="box">
                <table class="table table-bordered">
                    <tbody>
                    <tr>
                        <th>Name</th>
                        <td>{{ brand.name }}</td>
                    </tr>
                    </tbody>
                </table>
            </div>
            {% if brand.images %}
                <div class="box">
                    <table class="table table-bordered mb-0">
                        <tbody>
                        {% set token = csrf_token('deleteImage') %}
                        {% for image in brand.images %}
                            <tr>
                                <th>{{ image.name }}</th>
                                <td>{{ image.path }}</td>
                            </tr>
                            <tr>
                                <div class="delImage">
                                    <a href="{{ asset('uploads/images/product/brand/' ~ brand.name ~ '/' ~ image.name) }}"
                                       target="_blank">
                                        <img src="{{ asset('uploads/images/product/brand/' ~ brand.name ~ '/' ~ image.name) | imagine_filter('my_thumb') }}"
                                             alt="{{ brand.name }}">
                                    </a>
                                    <form action="{{ path('admin.brands.image.delete', {'id': image.id}) }}"
                                          method="post" onsubmit="return confirm('Are you sure?')">
                                        <input type="hidden" name="token" value="{{ token }}"/>
                                        <button type="submit" class="btn btn-sm btn-danger"><span
                                                    class="fa fa-trash"></span>
                                        </button>
                                    </form>
                                </div>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            {% endif %}
        </div>
    </div>

{% endblock %}